KeyStoreProvider (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.alias, class: KeyStoreProvider

Package org.apache.hadoop.security.alias

# Class KeyStoreProvider

java.lang.Object
org.apache.hadoop.security.alias.CredentialProvider
org.apache.hadoop.security.alias.AbstractJavaKeyStoreProvider
org.apache.hadoop.security.alias.KeyStoreProvider

Direct Known Subclasses:
  `BouncyCastleFipsKeyStoreProvider`, `JavaKeyStoreProvider`

@Private public abstract class KeyStoreProvider extends AbstractJavaKeyStoreProvider
CredentialProvider based on Java Key Store API. The file may be stored in any Hadoop FileSystem using the following name mangling: bcfks://hdfs@nn1.example.com/my/creds.bcfks -> hdfs://nn1.example.com/my/creds.bcfks bcfks://file/home/larry/creds.bcfks -> file:///home/user1/creds.bcfks

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.security.alias.CredentialProvider

  `CredentialProvider.CredentialEntry`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.security.alias.AbstractJavaKeyStoreProvider

  `CREDENTIAL_PASSWORD_DEFAULT, CREDENTIAL_PASSWORD_ENV_VAR, CREDENTIAL_PASSWORD_FILE_KEY, LOG`

  ### Fields inherited from class org.apache.hadoop.security.alias.CredentialProvider

  `CLEAR_TEXT_FALLBACK`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `KeyStoreProvider(URI uri, Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createPermissions(String perms)`
  `protected InputStream`
  `getInputStreamForFile()`
  `protected OutputStream`
  `getOutputStreamForKeystore()`
  `protected void`
  `initFileSystem(URI uri)`
  `protected boolean`
  `keystoreExists()`
  `protected void`
  `stashOriginalFilePermissions()`

  ### Methods inherited from class org.apache.hadoop.security.alias.AbstractJavaKeyStoreProvider

  `bytesToChars, createCredentialEntry, deleteCredentialEntry, flush, getAlgorithm, getAliases, getConf, getCredentialEntry, getKeyStore, getKeyStoreType, getPassword, getPath, getPathAsString, getReadLock, getSchemeName, getUri, getWriteLock, isChanged, needsPassword, noPasswordError, noPasswordWarning, setChanged, setPassword, setPath, setReadLock, setWriteLock, toString`

  ### Methods inherited from class org.apache.hadoop.security.alias.CredentialProvider

  `isTransient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KeyStoreProvider

    protected KeyStoreProvider(URI uri, Configuration conf) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getOutputStreamForKeystore

    protected OutputStream getOutputStreamForKeystore() throws IOException
    Specified by:
      `getOutputStreamForKeystore` in class `AbstractJavaKeyStoreProvider`
    Throws:
      `IOException`

  - ### keystoreExists

    protected boolean keystoreExists() throws IOException
    Specified by:
      `keystoreExists` in class `AbstractJavaKeyStoreProvider`
    Throws:
      `IOException`

  - ### getInputStreamForFile

    protected InputStream getInputStreamForFile() throws IOException
    Specified by:
      `getInputStreamForFile` in class `AbstractJavaKeyStoreProvider`
    Throws:
      `IOException`

  - ### createPermissions

    protected void createPermissions(String perms)
    Specified by:
      `createPermissions` in class `AbstractJavaKeyStoreProvider`

  - ### stashOriginalFilePermissions

    protected void stashOriginalFilePermissions() throws IOException
    Specified by:
      `stashOriginalFilePermissions` in class `AbstractJavaKeyStoreProvider`
    Throws:
      `IOException`

  - ### initFileSystem

    protected void initFileSystem(URI uri) throws IOException
    Overrides:
      `initFileSystem` in class `AbstractJavaKeyStoreProvider`
    Throws:
      `IOException`